# --adds gits
# git clone -b master https://github.com/OpenShot/libopenshot.git
# or
# git clone -b develop https://github.com/OpenShot/libopenshot.git
# to fix
# src/../include/AudioReaderSource.h:40:10: fatal error:
# JuceLibraryCode/JuceHeader.h: No such file or directory
#   40 | #include "JuceLibraryCode/JuceHeader.h"
# is in:
# /usr/include/libopenshot-audio/JuceHeader.h

# 13 Dec use libopenshot-0.2.3-release as source libopenshot-2.4.4

%define liver 0.3.2
%define major 25
%define libname	%mklibname openshot %{major}
# for obsoletes lib with major -lt major
%define obsomaj 20
%define obsolib %mklibname openshot %{obsomaj}
%define devname	%mklibname openshot -d

%define with_ruby	0
%define without_ruby	1

%define osa-dev 0.3.2

Name:		libopenshot
Version:	0.3.2
Release:	%mkrel 1
Summary:	OpenShot Library for creating and editing videos
License:	LGPLv3+
Group:		System/Libraries
URL:		http://www.openshot.org/
Source0:	https://github.com/OpenShot/libopenshot/archive/v%{version}/%{name}-%{version}.tar.xz
######Patch0:     libopenshot-includes.patch
######Patch1:		libopenshot-0.2.2-fix-build-with-imagemagick7.patch
Patch0:		0001-Include-SOVERSION-in-VERSION.patch
Patch1:		libopenshot-0.3.0-find-babl-0.1.patch
Patch2:		libopenshot-0.3.0-magickcore-linking.patch

BuildRequires:	pkgconfig(libzmq)
BuildRequires:	pkgconfig(jsoncpp)
BuildRequires:	swig python-svn lib64rsvg2-devel 
##BuildRequires:	pkgconfig(UnitTest++)
BuildRequires:	cppzmq-devel
BuildRequires:	lib64openshot-audio-devel 
BuildRequires:	pkgconfig(Qt5MultimediaWidgets)
BuildRequires:	pkgconfig(ImageMagick)
BuildRequires:	python3-opencv
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	python3-protobuf
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(libprotobuf-c)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(pyside2)
BuildRequires: opencv-devel

%description
this package provides libopenshot25
OpenShot Library (libopenshot) is an open-source project
dedicated to delivering high quality video editing, animation,
and playback solutions to the world. For more information
visit <http://www.openshot.org/>.

#----------------------------------------------------

%package -n	%{libname}
Summary:	OpenShot Library
Group:		System/Libraries
Obsoletes:	%{libname} < %{version}-%{release}
Obsoletes:	%{obsolib}

%description -n	%{libname}
this package provides libopenshot18 for openshot-qt-2.5.0
OpenShot Library (libopenshot) is an open-source project
dedicated to delivering high quality video editing, animation,
and playback solutions to the world. For more information
visit <http://www.openshot.org/>.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	openshot-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package -n	python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python

%description -n	python3-%{name}
The python3-%{name} package contains python 3 bindings for
applications that use %{name}.

#----------------------------------------------------
%if %{with_ruby}
%package -n	ruby-%{name}
Summary:	Ruby bindings for %{name}
Group:		Development/Ruby
BuildRequires:	ruby-devel

%description -n	ruby-%{name}
The ruby-%{name} package contains ruby bindings for
applications that use %{name}.
%endif
#----------------------------------------------------

%prep
%setup -q

%autopatch -p1

nu=`find %{_builddir}/%{name}-%{version}* -name '*.h'`
# echo $nu
for i in $nu
do
sed -i '/#include/s/JuceLibraryCode/libopenshot-audio/g' $i
done

# find py3.8 if you use develop-branch, not need for 2.5.0 released
# sed -i -e '/PYTHON3_VERSIONS/s,\(3.7\),3.8 \1,' cmake/Modules/FindPythonLibs.cmake

%build
# from tex
CFLAGS+=' -fcommon'
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"

export CXXFLAGS="%{optflags} -Wl,--as-needed %{ldflags}"

%cmake -DUSE_SYSTEM_JSONCPP=ON \
	-DDISABLE_BUNDLED_JSONCPP=ON \
       -DMAGICKCORE_HDRI_ENABLE=1 \
       -DMAGICKCORE_QUANTUM_DEPTH=16 \
%if %{without_ruby}
	-DENABLE_RUBY:BOOL=0 \
%endif
     -DDISABLE_TESTS=ON

%make_build

%install
rm -rf %buildroot
%make_install -C build

%post
ldconfig

%files -n %{libname}
%{_libdir}/libopenshot.so.%{major}
%{_libdir}/libopenshot.so.%{major}.%{liver}

%files -n %{devname}
%{_includedir}/%{name}/*
%{_libdir}/libopenshot.so

%files -n python3-%{name}
%{python3_sitearch}/*

%if %{with_ruby}
%files -n ruby-%{name}
%{_libdir}/ruby/vendor_ruby/2.6.0/x86_64-linux/openshot.so
%endif


%changelog
* Sat Oct 07 2023 onkelho <oh.quait at gmail.com> - 0.3.2-1quait2023
- new version release

* Thu Oct 13 2022 onkelho <oh.quait at gmail.com> - 0.2.7-10pclos2022
- rebuild against last updates

* Fri Oct 01 2021 onkelho <oh.quait at gmail.com> - 0.2.7-1pclos2021
- new version rel last

* Wed Sep 29 2021 tex - 0.2.6-2pclos2021
- rebuild against updates

* Mon Aug 30 2021 onkelho <oh.quait at gmail.com> - 0.2.6-1pclos2021
- new version rel last
